'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var sdkReactCore = require('@dynamic-labs/sdk-react-core');
var ethereumAll = require('@dynamic-labs/ethereum-all');
var algorandAll = require('@dynamic-labs/algorand-all');
var solanaAll = require('@dynamic-labs/solana-all');
var flowAll = require('@dynamic-labs/flow-all');
var starknetAll = require('@dynamic-labs/starknet-all');
var cosmosAll = require('@dynamic-labs/cosmos-all');

/* eslint-disable import/export */
const DynamicContextProvider = (props) => {
    if (!props.settings.walletConnectors) {
        props.settings.walletConnectors = [
            ethereumAll.EthereumWalletConnectors,
            algorandAll.AlgorandWalletConnectors,
            solanaAll.SolanaWalletConnectors,
            flowAll.FlowWalletConnectors,
            starknetAll.StarknetWalletConnectors,
            cosmosAll.CosmosWalletConnectors,
        ];
    }
    return sdkReactCore.DynamicContextProvider(props);
};

exports.DynamicContextProvider = DynamicContextProvider;
Object.keys(sdkReactCore).forEach(function (k) {
  if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
    enumerable: true,
    get: function () { return sdkReactCore[k]; }
  });
});
